Subject: Re: [PATCH] net: ti: netcp: restore get/set_pad_info() functionality

From: Murali Karicheri <[email-masked]>
Date: Thu, 18 Feb 2016 12:13:10 -0500

On 02/16/2016 03:24 PM, David Miller wrote:
> 
> I would like some of the feedback to be taken into consideration and
> integrated into this patch.
> 
> Part of the reason this regression was introduced was probably because
> the purpose of some fields or descriptor semantics was not defined
> properly.
> 
> Therefore it is absolutely appropriate to properly name and document
> these fields as part of the bug fix.
> 
> Thank you.
> 
David,

I will take over this from Grygorii as he is out of office. 

I propose to keep this patch as is and add additional patch to address
the feedback in the same series (v1). Is that fine with you?

There mainly two feedbacks.
1. Rename the pad to something meaningful. I had suggested to use the word
sw_data to match with what is in the hw spec. Also since this field is not
touched by hardware, I will change the type to u32 as suggested by Arnd.

2. Comment about type cast. I will investigate and make update or discuss this
further 

-- 
Murali Karicheri
Linux Kernel, Keystone